Bug 1231484 - Openstack overcloud deploy does not create a /home/stack/overcloudrc file on the undercloud
Summary: Openstack overcloud deploy does not create a /home/stack/overcloudrc file on ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ga
: Director
Assignee: Mike Burns
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-13 20:54 UTC by wes hayutin
Modified: 2015-08-05 13:53 UTC (History)
3 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.7-1.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:53:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description wes hayutin 2015-06-13 20:54:12 UTC
Description of problem:

This is a downstream bug only, this is working w/ rdo-manager atm only osp-director has a problem.

Recreate:
1. deploy the overcloud
openstack overcloud deploy --plan-uuid foo --control-scale bar;

2. note the overcloud deploys successfully.

3. check for the /home/stack/overcloudrc file.. missing (bug)


Found in:
http://ayanami.bos.devel.redhat.com/poodles/rhos-devel-ci/7.0-director/2015-06-13.1/RHOS-7-director/x86_64/os/

CI:
https://rhos-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/view/RDO/view/refactored%20jobs%20(experimental)/job/refactored-rdo_manager-url_trigger-none-rhos-7_director-poodle-rhel-7.1-virthost-minimal-neutron-gre/2/consoleFull

line:
01:06:21.507 /bin/sh: /home/stack/overcloudrc: No such file or directory


Downstream possibly missing:
https://github.com/rdo-management/python-rdomanager-oscplugin/commit/176bc900242793a3bc7da72e4504979a2a58b24e

Comment 3 Mike Burns 2015-06-13 21:20:24 UTC
This is handled with a rebase to upstream 0.0.7 (not yet created upstream, but matches:

https://github.com/rdo-management/python-rdomanager-oscplugin/commit/a69257cdad78e9c3c79c8ef73d9b5a5115a72571

Comment 6 Omri Hochman 2015-07-02 21:45:33 UTC
verified : python-rdomanager-oscplugin-0.0.8-18.el7ost.noarch

Comment 8 errata-xmlrpc 2015-08-05 13:53:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.